<script type="text/javascript">
	$(document).ready(function(){
		
	cari_itf();
	$("#mulai").focus();
	
	function cari_itf(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url	    : "modul/pener_kas/cari_itf.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_piut").val(data.nopiut);
				$("#txt_persed").val(data.nopers);
				$("#txt_utang").val(data.noutdg);
				$("#txt_labapb").val(data.labapb);
				$("#txt_jual").val(data.jual);
				$("#txt_labrug").val(data.labrug);
			}
		});
	}
	
	$("#mulai").click(function(){
		var	tdebet	= $("#txt_tdebet").val();
		var	tkredit	= $("#txt_tkredit").val();
		var	jdebet	= parseInt(tdebet);
		var	jkredit	= parseInt(tkredit);
				
		if(!(tdebet.length==0)){
			if(!(jdebet=jkredit)){
				alert("Maaf, Total Debet harus sama dengan Total Kredit.");
				return (false);
			}
		}
		
		if(!(tkredit.length==0)){
			if(!(jdebet=jkredit)){
				alert("Maaf, Total Debet harus sama dengan Total Kredit.");
				return (false);
			}
		}
		cari_tgl();
	});
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tanggal").focus();
				cari_nomor();
			}
		});
	}
	
	function cari_nomor(){
		var tanggal = $("#txt_tanggal").val();
				
		$.ajax({
			type	: "POST",
			url	: "modul/jurnal_umum/cari_nomor.php",
			data	: "tanggal="+tanggal,
			dataType: "json",
			success	: function(data){				
				$("#txt_kode").val(data.nomor);				
				$('#data_detail').show();
				cek_nourut();
				tampil_data_detail();
			}
		});
	}
	
	function cek_nourut(){
		var kode 	= $("#txt_kode").val();
		var nourut	= $("#txt_nourut").val();
			
		if(nourut==''){
			var no=1;
			$.ajax({
				type	: "POST",
				url		: "modul/jurnal_umum/cari_nourut.php",
				data	: "kode="+kode,
				dataType: "json",
				success	: function(data){
					$("#txt_nourut").val(data.nourut);
				}
			});
		}		
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").load("modul/jurnal_umum/tampil_data_detail.php?kode="+kode);		
		cari_total();
	}
	
	function cari_total(){
		var kode = $("#txt_kode").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/jurnal_umum/cari_total.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_tdebet").val(data.tdebet);
				$("#txt_tkredit").val(data.tkredit);				
			}
		});
	}
	
	$("#txt_tanggal").keyup(function(){
		cari_nomor();
		return(false);
	});	
		
	$('#form_cari_bmj').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
		
	$('#cari_bmj').click(function(){
		$('#form_cari_bmj').dialog('open');
		$("#txt_carikode").focus();
		return
	});
		
	$("#txt_carikode").keyup(function(){
		var cari = $("#txt_carikode").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/jurnal_umum/tampil_nobmj.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_bmj").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_bmj").html(data);				
			}
		});
	});
			
	$('#form_cari_akun').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
	
	$('#txt_naakun').keyup(function(){
		var cari= $("#txt_caribb").val();
		$('#form_cari_akun').dialog('open');
		$("#info_bb").show();
		$("#info_bb").load('modul/jurnal_umum/tampil_data_akun.php?cari='+cari);
		$("#txt_caribb").focus();
		return false;
	});
	
	$("#txt_caribb").keyup(function(){
		var cari= $("#txt_caribb").val();
		$.ajax({
			type	: "POST",
			url		: "modul/jurnal_umum/tampil_data_akun.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_bb").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_bb").show();
				$("#info_bb").html(data);
			}
		});
	});
	
	$('#form_cari_bp').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
	
	$("#txt_namabp").keyup(function(){
		var adabp = $("#txt_adabp").val();
		var nobb = $("#txt_noakun").val();
		var piut = $("#txt_piut").val();
		var utang = $("#txt_utang").val();
		
		if(adabp==''){
			alert('Kode akun '+nobb+' tidak memiliki buku pembantu.');
			$("#txt_jumlah").focus();
			return (false);
		}else{
			$('#form_cari_bp').dialog('open');
			$("#info_bp").load('modul/jurnal_umum/tampil_data_akun.php?nobb='+nobb+'&piut='+piut+'&utang='+utang);
			$("#txt_caribp").focus();		
			return false;
		}
	});
	
	$("#txt_caribp").keyup(function(){
		var cari = $("#txt_caribp").val();
		var nobb = $("#txt_noakun").val();
		
		$.ajax({
			type	: "POST",
			url	: "modul/jurnal_umum/tampil_data_bp.php",
			data	: "cari="+cari+
					"&nobb="+nobb,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_bp").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_bp").html(data);				
			}
		});
	});
	
	$("#simpan").click(function(){
		simpan_data();
	});
		
	function simpan_data(){
		var	kode		= $("#txt_kode").val();
		var	tanggal		= $("#txt_tanggal").val();		
		var	nourut  	= $("#txt_nourut").val();
		var	noakun		= $("#txt_noakun").val();
		var	nobp  		= $("#txt_nobp").val();
		var	naakun 	    = $("#txt_naakun").val();
		var	namabp 	    = $("#txt_namabp").val();
		var	nopol  		= $("#txt_nopol").val();
		var	kodest 		= $("#txt_kodest").val();
		var	jmlunit		= $("#txt_jmlunit").val();
		var	radiodk		= $(".radio:checked").val();
		var cek_radio	= $(".radio:checked");
		var	ket    		= $("#txt_ket").val();
		var	jumlah		= $("#txt_jumlah").val();
		var	debet 		= $("#txt_debet").val();
		var	kredit		= $("#txt_kredit").val();
				
		var error = false;
		
		if(tanggal.length == 0){
           var error = true;
           alert("Maaf, Tanggal jurnal tidak boleh kosong.");
		   return (false);
        }
				
		if(noakun.length == 0){
           var error = true;
           alert("Maaf, Kode Akun  tidak boleh kosong");
		   $("#txt_noakun").focus();
		   return (false);
        }
		
		if(nobp.length == 0){
			var adabp = $("#txt_adabp").val();
			
			if(!adabp==''){
				var error = true;
				alert("Maaf, Anda belum memilih kode Buku Pembantu.");
				$("#txt_noakun").focus();
				return (false);
			}
        }
		 
		if(cek_radio.length == 0){
			var error = true;
			alert("Maaf, Anda belum memilih debet atau kredit.");
			$("#radio_dk").focus();
			return (false);		   
        }
		
		if(ket.length == 0){
           var error = true;
           alert("Maaf, Kolom keterangan tidak boleh kosong");
		   $("#txt_ket").focus();
		   return (false);
         }
		 
		if(jumlah.length == 0){
			var error = true;
			alert("Maaf, Kolom jumlah tidak boleh kosong.");
			$("#txt_jumlah").focus();
			return (false);
        }
		 
		if(error == false){
			if(radiodk=='D'){
				$("#txt_debet").val(jumlah);
				var debet = $("#txt_debet").val();
				var kredit = 0;
			}else{
				$("#txt_kredit").val(jumlah);
				var kredit = $("#txt_kredit").val();
				var debet = 0;
			}
	
			$.ajax({
				type	: "POST",
				url	: "modul/jurnal_umum/simpan.php",
				data	: "kode="+kode+
					"&tanggal="+tanggal+					
					"&nourut="+nourut+
					"&noakun="+noakun+
					"&nobp="+nobp+					
					"&naakun="+naakun+					
					"&namabp="+namabp+
					"&nopol="+nopol+
					"&radiodk="+radiodk+
					"&ket="+ket+					
					"&debet="+debet+
					"&kredit="+kredit,
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');
				cek_nourut();
				$("#txt_naakun").focus();
				tampil_data_detail();				
			}
		});
		}
	}
	
	$("#cetak_bmj").click(function(){
		var	kode	= $("#txt_kode").val();
		var	tgl		= $("#txt_tanggal").val();
		var	tdebet	= $("#txt_tdebet").val();
		var	tkredit	= $("#txt_tkredit").val();
		var	jdebet	= parseInt(tdebet);
		var	jkredit	= parseInt(tkredit);
		
		if(!(tdebet.length==0)){
			if(!(jdebet=jkredit)){
				alert("Maaf, Total Debet harus sama dengan Total Kredit.");
				return (false);
			}
		}
		
		if(!(tkredit.length==0)){
			if(!(jdebet=jkredit)){
				alert("Maaf, Total Debet harus sama dengan Total Kredit.");
				return (false);
			}
		}
		window.location.href='modul/laporan/bukti_ju.php?kode='+kode+'&tgl='+tgl;
	});
	
	$("#tutup").click(function(){		
		var	tdebet	= $("#txt_tdebet").val();
		var	tkredit	= $("#txt_tkredit").val();
		var	jdebet	= parseInt(tdebet);
		var	jkredit	= parseInt(tkredit);
		
		if(!(tdebet.length==0)){
			if(!(jdebet=jkredit)){
				alert("Maaf, Total Debet harus sama dengan Total Kredit.");
				return (false);
			}
		}
		
		if(!(tkredit.length==0)){
			if(!(jdebet=jkredit)){
				alert("Maaf, Total Debet harus sama dengan Total Kredit.");
				return (false);
			}
		}
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
</style>

<?php
include '../../inc/inc.koneksi.php';

echo "<table width='100%'>	
	<tr>
		<td align='left'>Nomor Bukti : <input type='text' name='txt_kode' id='txt_kode' size='12' class='input_header' readonly />
			<img src='images/view.png' width='18' height='18' title='Cari BBM' id='cari_bmj'>
		</td>
		<td>Tanggal : <input type='date' name='txt_tanggal' id='txt_tanggal'  size='10' class='input_header'></td>
	</tr>
	</table>	
	<hr>";

echo "<table>
		<tr>
			<th>Nama Akun</th>
			<th>Kode Akun</th>
			<th>Kode BP</th>
			<th>Nama BP</th>
			<th>No.Polisi</th>
			<th></th>
			<th></th>
			<th>Jumlah</th>
			<th>Keterangan</th>
			<th></th>
		</tr>			
			
		<tr>
			<input type='text' name='txt_nourut' id='txt_nourut' class='input_detail' hidden />
			<input type='text' name='txt_adabp' id='txt_adabp' class='input_detail' hidden />
			<input type='text' name='txt_debet' id='txt_debet' class='input_detail' hidden />
			<input type='text' name='txt_kredit' id='txt_kredit' class='input_detail' hidden />
			<input type='text' name='txt_tdebet' id='txt_tdebet' hidden />
			<input type='text' name='txt_tkredit' id='txt_tkredit' hidden />
			<input type='text' name='txt_posting' id='txt_posting' class='input_detail' hidden />
			<td align='center'><input type='text' name='txt_naakun' id='txt_naakun' class='input_detail' size='20'></td>
			<td align='center'><input type='text' name='txt_noakun' id='txt_noakun' class='input_detail' size='5' readonly /></td>
			<td align='center'><input type='text' name='txt_namabp' id='txt_namabp' class='input_detail' size='20'></td>
			<td align='center'><input type='text' name='txt_nobp' id='txt_nobp' class='input_detail' size='9' readonly /></td>
			<td><select id='txt_nopol' class='input_header'>
				<option value=''> - </option>";
				$sql = mysql_query("SELECT * FROM truk ORDER BY nopol");
				while($r=mysql_fetch_array($sql)){
					$nopol = $r[nopol];
					echo "<option value='$nopol'>$nopol - $r[nama_kd]</option>";
				}
				echo "</select>
			</td>
			<td><input type='radio' name='radio_dk' id='radio_dk' value='D' class='radio'>Debet</td>
			<td><input type='radio' name='radio_dk' id='radio_dk' value='K' class='radio'>Kredit</td>
			<td align='center'><input type='text' name='txt_jumlah' id='txt_jumlah' class='input_detail' size='12' ></td>
			<td align='center'><input type='text' name='txt_ket' id='txt_ket' class='input_detail' size='40' ></td>
			<td><button name='simpan' id='simpan'>Rekam</button></td>
		</tr>		
	</table>
	<hr>
	
	<table align='center'>
	<tr>		
		<td>
			<button name='mulai' id='mulai'>Input Jurnal</button>
			<button name='cetak_bmj' id='cetak_bmj'>Cetak BMJ</button>
			<button name='tutup' id='tutup'>Tutup</button>
		</td>
	</tr>
	</table>
	</div>";

echo "<div id='form_cari_bmj' title='Pencarian Nomor Bukti Memorial'>
		<table width='100%'>
			<tr>
				<td>Cari Nomor Bukti : <input type='text' name='txt_carikode' id='txt_carikode' size='15'></td>
			</tr>
		</table>
		
		<div id='info_bmj' align='center'></div>
	</div>";
	
echo "<div id='data_detail'></div>";

echo "<div id='form_cari_akun' title='Pencarian Akun Buku Besar'>
		<table width='100%'>
			<tr>
				<td>Cari Buku Besar : <input type='text' name='txt_caribb' id='txt_caribb' size='40'></td>
			</tr>
		</table>
		<div id='info_bb' align='center'></div>
	</div>";

echo "<div id='form_cari_bp' title='Pencarian Akun Buku Pembantu'>
		<table width='100%'>
			<td>
				<td>Cari Buku Pembantu : <input type='text' name='txt_caribp' id='txt_caribp' size='40'></td>
			</td>
		</table>
		<div id='tampil_data_bp' align='center'></div>
		<div id='info_bp' align='center'></div>
	</div>";
?>